Bug 470102 - gcc internal compiler error : segmentation fault building ALPS applications
gcc internal compiler error : segmentation fault building ALPS applications
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gcc (Show other bugs)
9
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-05 14:26 EST by Miguel Costa
Modified: 2009-07-14 10:11 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 10:11:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
preprocessed source (5.38 MB, application/octet-stream)
2008-11-05 14:26 EST, Miguel Costa
no flags Details
Preprocessed source (1.37 MB, application/octet-stream)
2009-02-17 12:50 EST, Jeremy Bennett
no flags Details

  None (edit)
Description Miguel Costa 2008-11-05 14:26:47 EST
Created attachment 322633 [details]
preprocessed source 

Description of problem:

gcc exits with "internal compiler error : segmentation fault" when building ALPS application "spinmc" (http://alps.comp-phys.org) with any level of optimization larger than 0 (preprocessed source attached)

There is no such problem in EL5, with gcc-4.1.2-42

Version-Release number of selected component (if applicable): 

gcc-4.3.0-8

How reproducible:

always
Comment 1 Jeremy Bennett 2009-02-17 12:50:39 EST
Created attachment 332264 [details]
Preprocessed source
Comment 2 Jeremy Bennett 2009-02-17 12:54:34 EST
Not sure if this is another manifestation of the same bug. Same operating system and compiler:

g++  -I../verilator-model -I/opt/systemc/include    --coverage -c  Or1200MonitorSC.cpp
g++  -I../verilator-model -I/opt/systemc/include    --coverage -c  ResetSC.cpp
In file included from /opt/systemc/include/sysc/kernel/sc_cmnhdr.h:61,
                 from /opt/systemc/include/sysc/kernel/sc_cmnhdr.h:29:
cc1plus: internal compiler error: Segmentation fault
Please submit a full bug report,
with preprocessed source if appropriate.
See <http://bugzilla.redhat.com/bugzilla> for instructions.
Preprocessed source stored into /tmp/ccNZDVon.out file, please attach this to your bugreport.
make[2]: *** [ResetSC.o] Error 1
make[2]: Leaving directory `/home/jeremy/svntrunk/Projects/or1k-verilator/sysc-modules'
make[1]: *** [modules] Error 2
make[1]: Leaving directory `/home/jeremy/svntrunk/Projects/or1k-verilator'
make: *** [verilate-fast] Error 2

This is a program that builds fine without --coverage at all optimization levels.

Attached preprocessed source. SystemC library is freely downloadable from www.systemc.org, but since this is pre-linking I don't think it's needed to reproduce the bug.
Comment 3 Bug Zapper 2009-06-09 23:10:59 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2009-07-14 10:11:51 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.